/* хедер с разделами */
.header-select {
    height: 235px;
    border-radius: 0 0 25% 25%;
}
.blitz {
    background: url(../../assets/img/blitz-header.webp);
}
.wot {
    background: url(../../assets/img/wot-header.webp);
}
.header-select__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    gap: 1rem;
}
.header-select__title {
    display: flex;
    gap: 1rem;
    align-items: center;
}
.header-select__title h1 {
    font-size: 26px;
    font-weight: 600;
}
.header-select__title img {
    width: 35px;
}
.header-select__count p {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}
.header-select__games {
    display: flex;
    gap: 1rem;
}
.header-select__games a {
    background-color: rgba(123, 45, 221, 0.5);
    padding: 0.5rem 1.5rem;
    border-radius: 0.5rem;
}
.selected-game {
    background-color: rgba(123, 45, 221, 1)!important;
}
.header-select__games li {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}
.header-select__games img {
   width: 20px; 
}
/* */
    
.accounts {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem;
    align-items: center;
}
.info {
    background-color: rgba(255,255,255,0.05);
    padding: 0.5rem;
    text-align: center;
    font-size: 13px;
    border-radius: 0.5rem;
    margin-bottom: .5rem;
}
.pagination {
    display: flex;
    gap: .5rem;
    margin-bottom: 1rem;
}
#pagination-bottom {
    margin-top: 1rem;
}
.pagination a {
    background-color: #312690;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 25px;
    height: 25px;
    font-size: 13px;
    border-radius: 0.5rem;
}
.account-card {
    border: 1px solid rgba(255,255,255,0.1);
    border-radius: 1rem;
}
.card-info {
    padding: 0rem 1rem 1rem 1rem;
    display: flex;
    flex-direction: column;
    row-gap: .5rem;
}
.card-chars {
    font-size: 13px;
    display: flex;
    gap: 1rem;
}
.card-chars b {
    color: rgba(255,255,255,0.7);
}
.img-preview {
    user-select: none;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    justify-content: center;
    gap: .5rem;
    background: radial-gradient(50% 50% at 50% 50%, #5C3A86 0%, #181B32 100%);
    padding: 0.5rem;
    border-radius: 0.5rem;
    margin-bottom: 1rem;
    min-height: 180px;
}
.img-preview__item {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.img-preview__img {
    width: 50px;
    height: auto;
    background-size: contain;
    background-repeat: no-repeat;
}
.img-preview__item p {
    font-size: 13px;
}

.card-price {
    color: #40d04f!important;
    display: flex;
    gap: 0.5rem;
    align-items: center;
}
.card-price p:first-child {
    font-weight: 600;
    font-size: 18px;
}
.card-discount {
    background-color: #41d04f1f;
    padding: 0.15rem 0.5rem;
    border-radius: .5rem;
    font-size: 14px;
}
.card-oldprice {
    font-size: 14px;
    color: rgba(255,255,255,0.5);
    text-decoration: line-through;
}

@media(max-width: 930px) {
    .accounts {
        grid-template-columns: 1fr 1fr;
    }    
}
@media(max-width: 675px) {
    .accounts {
        grid-template-columns: 1fr;
    }    
}

/* фильтратор */
.form-filter {
    background-color: rgba(255,255,255,0.02);
    padding: 1rem 0.5rem;
    border-radius: 1rem;
}
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none; // Yeah, yeah everybody write about it
}

input[type='number'],
input[type="number"]:hover,
input[type="number"]:focus {
    appearance: none;
    -moz-appearance: textfield;
}
#filterForm input[type="radio"] {
  display: none;
}

/* Стиль для метки, чтобы она выглядела как кнопка */
#filterForm label {
  display: inline-block;
  padding: 8px 16px;
  border-radius: 25px;
  background-color: #222; /* темный фон для неактивных */
  color: white;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

/* Стиль для активной (выбранной) радиокнопки */
#filterForm input[type="radio"]:checked + label {
  background: linear-gradient(90deg, #7E2DE0 0%, #312690 100%); /* например, фиолетовая или синий */
  color: #fff;
}

.form-filter {
    display: grid;
    grid-template-columns: auto auto 50%;
    gap: 1rem;
    margin-bottom: 1rem;
    font-size: 13px;
} 
.form-filter input, .form-filter label {
    font-size: 13px;
}
.form-filter input {
    background-color: #222;
    border-radius: .5rem;
    padding: 0.25rem 0.5rem;
    color: white;
}
.filter-input-group {
    display: flex;
    gap: .5rem;
    margin-bottom: .5rem;
}
.filter-input-group input {
    width: calc(100% / 2);
}
.filter-column p {
    margin-bottom: 1rem;
}
.filter-actions {
    display: flex;
    flex-direction: column;
    gap: .5rem
}
.filter-form__go {
    width: 100%;
    background: linear-gradient(90deg, #7E2DE0 0%, #312690 100%); /* например, фиолетовая или синий */
    color: #fff;
    border-radius: 0.5rem;
    padding: 0.75rem;
}
.filter-form__reset {
    border: 1px solid #7E2DE0;
    border-radius: 0.5rem;
    padding: 0.75rem;
    text-align: center;
}
.sort-column {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
@media(max-width: 905px) {
    .form-filter {
        grid-template-columns: 1fr;
        
    }
}
/* */

/* спиннер при загрузке товаров */
/* Добавьте этот стиль в ваш CSS */
.spinner {
  width: 50px;
  height: 50px;
  border: 5px solid transparent;
  border-top-color: #7E2DE0; /* основной цвет градиента */
  border-bottom-color: #312690; /* второй цвет градиента */
  border-radius: 50%;
  margin: 0 auto; /* по центру контейнера */
  animation: spin 1s linear infinite;
  /*top: 50%;
    left: 50%;
    transform: translate(-50%, 50%);
    position: absolute;*/
}

/* Анимация вращения */
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.loading-overlay {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%,50%);
  width: 120px; height: 120px;
  border-radius: 3rem;
  background: rgba(0, 0, 0, 0.4);
  backdrop-filter: blur(4px);
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 0.5rem;
  align-items: center;
  z-index: 9999;
  display: none; /* по умолчанию скрыт */
}
/* */

/*